VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Enumerations
VSTGUI::ExternalView Namespace Reference

## Classes
struct | IntPoint
struct | IntSize
struct | IntRect
struct | IView
| interface for embedding views from external view systems More...
struct | IControlViewExtension
struct | IViewEmbedder
| interface for view embedder classes More...
struct | ViewAdapter
| adapter for the IView interface More...
struct | ControlViewAdapter

## Enumerations
enum | PlatformViewType : uint32_t { HWND, NSView, Unknown }

## Enumeration Type Documentation

enum PlatformViewType : uint32_t

Enumerator
HWND |
NSView |
Unknown |